#include <time.h>
#include <stdio.h>

#ifdef NONRECURSIVE
static char rv[26];
#endif

char *asctime(struct tm *time)
{
#ifndef NONRECURSIVE
	char buf[STACKPAD];
	char rv[26];
#endif
	strftime(rv,26,"%a %b %c\n",time);
	return &rv;
}